#ifndef __Maze_Game_KeyInput_h__
#define __Maze_Game_KeyInput_h__

//Control keys:
const int CUp=0xe048, CDown=0xe050, CLeft=0xe04b, CRight=0xe04d; 
const int CNull=0, CBell=7, CBackspace=8, CTab=9, CNewLine=0x0a, CReturn=0x0d;
const int CEscape=0x1b, CDelete=0x7f; 


//wait for any key to be pressed
int getKey();

//wait for the specified key to be pressed (Usefull for control keys)
int getKey(int key);

//wait for any key in the the specified list of keys to be pressed (Usefull for character keys)
int getKey(char* keys);


#endif